Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
30.128.0.0
Broadcast address
30.255.255.255
First usable
30.128.0.1
Last usable
30.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E800000 · Integer 511705088 to 520093695
Reverse DNS zones
128.30.in-addr.arpa
129.30.in-addr.arpa
130.30.in-addr.arpa
131.30.in-addr.arpa
132.30.in-addr.arpa
133.30.in-addr.arpa
134.30.in-addr.arpa
135.30.in-addr.arpa
136.30.in-addr.arpa
137.30.in-addr.arpa
138.30.in-addr.arpa
139.30.in-addr.arpa
140.30.in-addr.arpa
141.30.in-addr.arpa
142.30.in-addr.arpa
143.30.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.10000000.00000000.0000000030.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00011110.10000000.00000000.0000000030.128.0.0
Broadcast00011110.11111111.11111111.1111111130.255.255.255
Split into smaller subnets/18

30.128.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.128.0.0/1830.128.0.1 to 30.128.63.25430.128.63.25516,382
230.128.64.0/1830.128.64.1 to 30.128.127.25430.128.127.25516,382
330.128.128.0/1830.128.128.1 to 30.128.191.25430.128.191.25516,382
430.128.192.0/1830.128.192.1 to 30.128.255.25430.128.255.25516,382
530.129.0.0/1830.129.0.1 to 30.129.63.25430.129.63.25516,382
630.129.64.0/1830.129.64.1 to 30.129.127.25430.129.127.25516,382
730.129.128.0/1830.129.128.1 to 30.129.191.25430.129.191.25516,382
830.129.192.0/1830.129.192.1 to 30.129.255.25430.129.255.25516,382
930.130.0.0/1830.130.0.1 to 30.130.63.25430.130.63.25516,382
1030.130.64.0/1830.130.64.1 to 30.130.127.25430.130.127.25516,382
1130.130.128.0/1830.130.128.1 to 30.130.191.25430.130.191.25516,382
1230.130.192.0/1830.130.192.1 to 30.130.255.25430.130.255.25516,382
1330.131.0.0/1830.131.0.1 to 30.131.63.25430.131.63.25516,382
1430.131.64.0/1830.131.64.1 to 30.131.127.25430.131.127.25516,382
1530.131.128.0/1830.131.128.1 to 30.131.191.25430.131.191.25516,382
1630.131.192.0/1830.131.192.1 to 30.131.255.25430.131.255.25516,382
1730.132.0.0/1830.132.0.1 to 30.132.63.25430.132.63.25516,382
1830.132.64.0/1830.132.64.1 to 30.132.127.25430.132.127.25516,382
1930.132.128.0/1830.132.128.1 to 30.132.191.25430.132.191.25516,382
2030.132.192.0/1830.132.192.1 to 30.132.255.25430.132.255.25516,382
2130.133.0.0/1830.133.0.1 to 30.133.63.25430.133.63.25516,382
2230.133.64.0/1830.133.64.1 to 30.133.127.25430.133.127.25516,382
2330.133.128.0/1830.133.128.1 to 30.133.191.25430.133.191.25516,382
2430.133.192.0/1830.133.192.1 to 30.133.255.25430.133.255.25516,382
2530.134.0.0/1830.134.0.1 to 30.134.63.25430.134.63.25516,382
2630.134.64.0/1830.134.64.1 to 30.134.127.25430.134.127.25516,382
2730.134.128.0/1830.134.128.1 to 30.134.191.25430.134.191.25516,382
2830.134.192.0/1830.134.192.1 to 30.134.255.25430.134.255.25516,382
2930.135.0.0/1830.135.0.1 to 30.135.63.25430.135.63.25516,382
3030.135.64.0/1830.135.64.1 to 30.135.127.25430.135.127.25516,382
3130.135.128.0/1830.135.128.1 to 30.135.191.25430.135.191.25516,382
3230.135.192.0/1830.135.192.1 to 30.135.255.25430.135.255.25516,382
3330.136.0.0/1830.136.0.1 to 30.136.63.25430.136.63.25516,382
3430.136.64.0/1830.136.64.1 to 30.136.127.25430.136.127.25516,382
3530.136.128.0/1830.136.128.1 to 30.136.191.25430.136.191.25516,382
3630.136.192.0/1830.136.192.1 to 30.136.255.25430.136.255.25516,382
3730.137.0.0/1830.137.0.1 to 30.137.63.25430.137.63.25516,382
3830.137.64.0/1830.137.64.1 to 30.137.127.25430.137.127.25516,382
3930.137.128.0/1830.137.128.1 to 30.137.191.25430.137.191.25516,382
4030.137.192.0/1830.137.192.1 to 30.137.255.25430.137.255.25516,382
4130.138.0.0/1830.138.0.1 to 30.138.63.25430.138.63.25516,382
4230.138.64.0/1830.138.64.1 to 30.138.127.25430.138.127.25516,382
4330.138.128.0/1830.138.128.1 to 30.138.191.25430.138.191.25516,382
4430.138.192.0/1830.138.192.1 to 30.138.255.25430.138.255.25516,382
4530.139.0.0/1830.139.0.1 to 30.139.63.25430.139.63.25516,382
4630.139.64.0/1830.139.64.1 to 30.139.127.25430.139.127.25516,382
4730.139.128.0/1830.139.128.1 to 30.139.191.25430.139.191.25516,382
4830.139.192.0/1830.139.192.1 to 30.139.255.25430.139.255.25516,382
4930.140.0.0/1830.140.0.1 to 30.140.63.25430.140.63.25516,382
5030.140.64.0/1830.140.64.1 to 30.140.127.25430.140.127.25516,382
5130.140.128.0/1830.140.128.1 to 30.140.191.25430.140.191.25516,382
5230.140.192.0/1830.140.192.1 to 30.140.255.25430.140.255.25516,382
5330.141.0.0/1830.141.0.1 to 30.141.63.25430.141.63.25516,382
5430.141.64.0/1830.141.64.1 to 30.141.127.25430.141.127.25516,382
5530.141.128.0/1830.141.128.1 to 30.141.191.25430.141.191.25516,382
5630.141.192.0/1830.141.192.1 to 30.141.255.25430.141.255.25516,382
5730.142.0.0/1830.142.0.1 to 30.142.63.25430.142.63.25516,382
5830.142.64.0/1830.142.64.1 to 30.142.127.25430.142.127.25516,382
5930.142.128.0/1830.142.128.1 to 30.142.191.25430.142.191.25516,382
6030.142.192.0/1830.142.192.1 to 30.142.255.25430.142.255.25516,382
6130.143.0.0/1830.143.0.1 to 30.143.63.25430.143.63.25516,382
6230.143.64.0/1830.143.64.1 to 30.143.127.25430.143.127.25516,382
6330.143.128.0/1830.143.128.1 to 30.143.191.25430.143.191.25516,382
6430.143.192.0/1830.143.192.1 to 30.143.255.25430.143.255.25516,382
6530.144.0.0/1830.144.0.1 to 30.144.63.25430.144.63.25516,382
6630.144.64.0/1830.144.64.1 to 30.144.127.25430.144.127.25516,382
6730.144.128.0/1830.144.128.1 to 30.144.191.25430.144.191.25516,382
6830.144.192.0/1830.144.192.1 to 30.144.255.25430.144.255.25516,382
6930.145.0.0/1830.145.0.1 to 30.145.63.25430.145.63.25516,382
7030.145.64.0/1830.145.64.1 to 30.145.127.25430.145.127.25516,382
7130.145.128.0/1830.145.128.1 to 30.145.191.25430.145.191.25516,382
7230.145.192.0/1830.145.192.1 to 30.145.255.25430.145.255.25516,382
7330.146.0.0/1830.146.0.1 to 30.146.63.25430.146.63.25516,382
7430.146.64.0/1830.146.64.1 to 30.146.127.25430.146.127.25516,382
7530.146.128.0/1830.146.128.1 to 30.146.191.25430.146.191.25516,382
7630.146.192.0/1830.146.192.1 to 30.146.255.25430.146.255.25516,382
7730.147.0.0/1830.147.0.1 to 30.147.63.25430.147.63.25516,382
7830.147.64.0/1830.147.64.1 to 30.147.127.25430.147.127.25516,382
7930.147.128.0/1830.147.128.1 to 30.147.191.25430.147.191.25516,382
8030.147.192.0/1830.147.192.1 to 30.147.255.25430.147.255.25516,382
8130.148.0.0/1830.148.0.1 to 30.148.63.25430.148.63.25516,382
8230.148.64.0/1830.148.64.1 to 30.148.127.25430.148.127.25516,382
8330.148.128.0/1830.148.128.1 to 30.148.191.25430.148.191.25516,382
8430.148.192.0/1830.148.192.1 to 30.148.255.25430.148.255.25516,382
8530.149.0.0/1830.149.0.1 to 30.149.63.25430.149.63.25516,382
8630.149.64.0/1830.149.64.1 to 30.149.127.25430.149.127.25516,382
8730.149.128.0/1830.149.128.1 to 30.149.191.25430.149.191.25516,382
8830.149.192.0/1830.149.192.1 to 30.149.255.25430.149.255.25516,382
8930.150.0.0/1830.150.0.1 to 30.150.63.25430.150.63.25516,382
9030.150.64.0/1830.150.64.1 to 30.150.127.25430.150.127.25516,382
9130.150.128.0/1830.150.128.1 to 30.150.191.25430.150.191.25516,382
9230.150.192.0/1830.150.192.1 to 30.150.255.25430.150.255.25516,382
9330.151.0.0/1830.151.0.1 to 30.151.63.25430.151.63.25516,382
9430.151.64.0/1830.151.64.1 to 30.151.127.25430.151.127.25516,382
9530.151.128.0/1830.151.128.1 to 30.151.191.25430.151.191.25516,382
9630.151.192.0/1830.151.192.1 to 30.151.255.25430.151.255.25516,382
9730.152.0.0/1830.152.0.1 to 30.152.63.25430.152.63.25516,382
9830.152.64.0/1830.152.64.1 to 30.152.127.25430.152.127.25516,382
9930.152.128.0/1830.152.128.1 to 30.152.191.25430.152.191.25516,382
10030.152.192.0/1830.152.192.1 to 30.152.255.25430.152.255.25516,382
10130.153.0.0/1830.153.0.1 to 30.153.63.25430.153.63.25516,382
10230.153.64.0/1830.153.64.1 to 30.153.127.25430.153.127.25516,382
10330.153.128.0/1830.153.128.1 to 30.153.191.25430.153.191.25516,382
10430.153.192.0/1830.153.192.1 to 30.153.255.25430.153.255.25516,382
10530.154.0.0/1830.154.0.1 to 30.154.63.25430.154.63.25516,382
10630.154.64.0/1830.154.64.1 to 30.154.127.25430.154.127.25516,382
10730.154.128.0/1830.154.128.1 to 30.154.191.25430.154.191.25516,382
10830.154.192.0/1830.154.192.1 to 30.154.255.25430.154.255.25516,382
10930.155.0.0/1830.155.0.1 to 30.155.63.25430.155.63.25516,382
11030.155.64.0/1830.155.64.1 to 30.155.127.25430.155.127.25516,382
11130.155.128.0/1830.155.128.1 to 30.155.191.25430.155.191.25516,382
11230.155.192.0/1830.155.192.1 to 30.155.255.25430.155.255.25516,382
11330.156.0.0/1830.156.0.1 to 30.156.63.25430.156.63.25516,382
11430.156.64.0/1830.156.64.1 to 30.156.127.25430.156.127.25516,382
11530.156.128.0/1830.156.128.1 to 30.156.191.25430.156.191.25516,382
11630.156.192.0/1830.156.192.1 to 30.156.255.25430.156.255.25516,382
11730.157.0.0/1830.157.0.1 to 30.157.63.25430.157.63.25516,382
11830.157.64.0/1830.157.64.1 to 30.157.127.25430.157.127.25516,382
11930.157.128.0/1830.157.128.1 to 30.157.191.25430.157.191.25516,382
12030.157.192.0/1830.157.192.1 to 30.157.255.25430.157.255.25516,382
12130.158.0.0/1830.158.0.1 to 30.158.63.25430.158.63.25516,382
12230.158.64.0/1830.158.64.1 to 30.158.127.25430.158.127.25516,382
12330.158.128.0/1830.158.128.1 to 30.158.191.25430.158.191.25516,382
12430.158.192.0/1830.158.192.1 to 30.158.255.25430.158.255.25516,382
12530.159.0.0/1830.159.0.1 to 30.159.63.25430.159.63.25516,382
12630.159.64.0/1830.159.64.1 to 30.159.127.25430.159.127.25516,382
12730.159.128.0/1830.159.128.1 to 30.159.191.25430.159.191.25516,382
12830.159.192.0/1830.159.192.1 to 30.159.255.25430.159.255.25516,382
12930.160.0.0/1830.160.0.1 to 30.160.63.25430.160.63.25516,382
13030.160.64.0/1830.160.64.1 to 30.160.127.25430.160.127.25516,382
13130.160.128.0/1830.160.128.1 to 30.160.191.25430.160.191.25516,382
13230.160.192.0/1830.160.192.1 to 30.160.255.25430.160.255.25516,382
13330.161.0.0/1830.161.0.1 to 30.161.63.25430.161.63.25516,382
13430.161.64.0/1830.161.64.1 to 30.161.127.25430.161.127.25516,382
13530.161.128.0/1830.161.128.1 to 30.161.191.25430.161.191.25516,382
13630.161.192.0/1830.161.192.1 to 30.161.255.25430.161.255.25516,382
13730.162.0.0/1830.162.0.1 to 30.162.63.25430.162.63.25516,382
13830.162.64.0/1830.162.64.1 to 30.162.127.25430.162.127.25516,382
13930.162.128.0/1830.162.128.1 to 30.162.191.25430.162.191.25516,382
14030.162.192.0/1830.162.192.1 to 30.162.255.25430.162.255.25516,382
14130.163.0.0/1830.163.0.1 to 30.163.63.25430.163.63.25516,382
14230.163.64.0/1830.163.64.1 to 30.163.127.25430.163.127.25516,382
14330.163.128.0/1830.163.128.1 to 30.163.191.25430.163.191.25516,382
14430.163.192.0/1830.163.192.1 to 30.163.255.25430.163.255.25516,382
14530.164.0.0/1830.164.0.1 to 30.164.63.25430.164.63.25516,382
14630.164.64.0/1830.164.64.1 to 30.164.127.25430.164.127.25516,382
14730.164.128.0/1830.164.128.1 to 30.164.191.25430.164.191.25516,382
14830.164.192.0/1830.164.192.1 to 30.164.255.25430.164.255.25516,382
14930.165.0.0/1830.165.0.1 to 30.165.63.25430.165.63.25516,382
15030.165.64.0/1830.165.64.1 to 30.165.127.25430.165.127.25516,382
15130.165.128.0/1830.165.128.1 to 30.165.191.25430.165.191.25516,382
15230.165.192.0/1830.165.192.1 to 30.165.255.25430.165.255.25516,382
15330.166.0.0/1830.166.0.1 to 30.166.63.25430.166.63.25516,382
15430.166.64.0/1830.166.64.1 to 30.166.127.25430.166.127.25516,382
15530.166.128.0/1830.166.128.1 to 30.166.191.25430.166.191.25516,382
15630.166.192.0/1830.166.192.1 to 30.166.255.25430.166.255.25516,382
15730.167.0.0/1830.167.0.1 to 30.167.63.25430.167.63.25516,382
15830.167.64.0/1830.167.64.1 to 30.167.127.25430.167.127.25516,382
15930.167.128.0/1830.167.128.1 to 30.167.191.25430.167.191.25516,382
16030.167.192.0/1830.167.192.1 to 30.167.255.25430.167.255.25516,382
16130.168.0.0/1830.168.0.1 to 30.168.63.25430.168.63.25516,382
16230.168.64.0/1830.168.64.1 to 30.168.127.25430.168.127.25516,382
16330.168.128.0/1830.168.128.1 to 30.168.191.25430.168.191.25516,382
16430.168.192.0/1830.168.192.1 to 30.168.255.25430.168.255.25516,382
16530.169.0.0/1830.169.0.1 to 30.169.63.25430.169.63.25516,382
16630.169.64.0/1830.169.64.1 to 30.169.127.25430.169.127.25516,382
16730.169.128.0/1830.169.128.1 to 30.169.191.25430.169.191.25516,382
16830.169.192.0/1830.169.192.1 to 30.169.255.25430.169.255.25516,382
16930.170.0.0/1830.170.0.1 to 30.170.63.25430.170.63.25516,382
17030.170.64.0/1830.170.64.1 to 30.170.127.25430.170.127.25516,382
17130.170.128.0/1830.170.128.1 to 30.170.191.25430.170.191.25516,382
17230.170.192.0/1830.170.192.1 to 30.170.255.25430.170.255.25516,382
17330.171.0.0/1830.171.0.1 to 30.171.63.25430.171.63.25516,382
17430.171.64.0/1830.171.64.1 to 30.171.127.25430.171.127.25516,382
17530.171.128.0/1830.171.128.1 to 30.171.191.25430.171.191.25516,382
17630.171.192.0/1830.171.192.1 to 30.171.255.25430.171.255.25516,382
17730.172.0.0/1830.172.0.1 to 30.172.63.25430.172.63.25516,382
17830.172.64.0/1830.172.64.1 to 30.172.127.25430.172.127.25516,382
17930.172.128.0/1830.172.128.1 to 30.172.191.25430.172.191.25516,382
18030.172.192.0/1830.172.192.1 to 30.172.255.25430.172.255.25516,382
18130.173.0.0/1830.173.0.1 to 30.173.63.25430.173.63.25516,382
18230.173.64.0/1830.173.64.1 to 30.173.127.25430.173.127.25516,382
18330.173.128.0/1830.173.128.1 to 30.173.191.25430.173.191.25516,382
18430.173.192.0/1830.173.192.1 to 30.173.255.25430.173.255.25516,382
18530.174.0.0/1830.174.0.1 to 30.174.63.25430.174.63.25516,382
18630.174.64.0/1830.174.64.1 to 30.174.127.25430.174.127.25516,382
18730.174.128.0/1830.174.128.1 to 30.174.191.25430.174.191.25516,382
18830.174.192.0/1830.174.192.1 to 30.174.255.25430.174.255.25516,382
18930.175.0.0/1830.175.0.1 to 30.175.63.25430.175.63.25516,382
19030.175.64.0/1830.175.64.1 to 30.175.127.25430.175.127.25516,382
19130.175.128.0/1830.175.128.1 to 30.175.191.25430.175.191.25516,382
19230.175.192.0/1830.175.192.1 to 30.175.255.25430.175.255.25516,382
19330.176.0.0/1830.176.0.1 to 30.176.63.25430.176.63.25516,382
19430.176.64.0/1830.176.64.1 to 30.176.127.25430.176.127.25516,382
19530.176.128.0/1830.176.128.1 to 30.176.191.25430.176.191.25516,382
19630.176.192.0/1830.176.192.1 to 30.176.255.25430.176.255.25516,382
19730.177.0.0/1830.177.0.1 to 30.177.63.25430.177.63.25516,382
19830.177.64.0/1830.177.64.1 to 30.177.127.25430.177.127.25516,382
19930.177.128.0/1830.177.128.1 to 30.177.191.25430.177.191.25516,382
20030.177.192.0/1830.177.192.1 to 30.177.255.25430.177.255.25516,382
20130.178.0.0/1830.178.0.1 to 30.178.63.25430.178.63.25516,382
20230.178.64.0/1830.178.64.1 to 30.178.127.25430.178.127.25516,382
20330.178.128.0/1830.178.128.1 to 30.178.191.25430.178.191.25516,382
20430.178.192.0/1830.178.192.1 to 30.178.255.25430.178.255.25516,382
20530.179.0.0/1830.179.0.1 to 30.179.63.25430.179.63.25516,382
20630.179.64.0/1830.179.64.1 to 30.179.127.25430.179.127.25516,382
20730.179.128.0/1830.179.128.1 to 30.179.191.25430.179.191.25516,382
20830.179.192.0/1830.179.192.1 to 30.179.255.25430.179.255.25516,382
20930.180.0.0/1830.180.0.1 to 30.180.63.25430.180.63.25516,382
21030.180.64.0/1830.180.64.1 to 30.180.127.25430.180.127.25516,382
21130.180.128.0/1830.180.128.1 to 30.180.191.25430.180.191.25516,382
21230.180.192.0/1830.180.192.1 to 30.180.255.25430.180.255.25516,382
21330.181.0.0/1830.181.0.1 to 30.181.63.25430.181.63.25516,382
21430.181.64.0/1830.181.64.1 to 30.181.127.25430.181.127.25516,382
21530.181.128.0/1830.181.128.1 to 30.181.191.25430.181.191.25516,382
21630.181.192.0/1830.181.192.1 to 30.181.255.25430.181.255.25516,382
21730.182.0.0/1830.182.0.1 to 30.182.63.25430.182.63.25516,382
21830.182.64.0/1830.182.64.1 to 30.182.127.25430.182.127.25516,382
21930.182.128.0/1830.182.128.1 to 30.182.191.25430.182.191.25516,382
22030.182.192.0/1830.182.192.1 to 30.182.255.25430.182.255.25516,382
22130.183.0.0/1830.183.0.1 to 30.183.63.25430.183.63.25516,382
22230.183.64.0/1830.183.64.1 to 30.183.127.25430.183.127.25516,382
22330.183.128.0/1830.183.128.1 to 30.183.191.25430.183.191.25516,382
22430.183.192.0/1830.183.192.1 to 30.183.255.25430.183.255.25516,382
22530.184.0.0/1830.184.0.1 to 30.184.63.25430.184.63.25516,382
22630.184.64.0/1830.184.64.1 to 30.184.127.25430.184.127.25516,382
22730.184.128.0/1830.184.128.1 to 30.184.191.25430.184.191.25516,382
22830.184.192.0/1830.184.192.1 to 30.184.255.25430.184.255.25516,382
22930.185.0.0/1830.185.0.1 to 30.185.63.25430.185.63.25516,382
23030.185.64.0/1830.185.64.1 to 30.185.127.25430.185.127.25516,382
23130.185.128.0/1830.185.128.1 to 30.185.191.25430.185.191.25516,382
23230.185.192.0/1830.185.192.1 to 30.185.255.25430.185.255.25516,382
23330.186.0.0/1830.186.0.1 to 30.186.63.25430.186.63.25516,382
23430.186.64.0/1830.186.64.1 to 30.186.127.25430.186.127.25516,382
23530.186.128.0/1830.186.128.1 to 30.186.191.25430.186.191.25516,382
23630.186.192.0/1830.186.192.1 to 30.186.255.25430.186.255.25516,382
23730.187.0.0/1830.187.0.1 to 30.187.63.25430.187.63.25516,382
23830.187.64.0/1830.187.64.1 to 30.187.127.25430.187.127.25516,382
23930.187.128.0/1830.187.128.1 to 30.187.191.25430.187.191.25516,382
24030.187.192.0/1830.187.192.1 to 30.187.255.25430.187.255.25516,382
24130.188.0.0/1830.188.0.1 to 30.188.63.25430.188.63.25516,382
24230.188.64.0/1830.188.64.1 to 30.188.127.25430.188.127.25516,382
24330.188.128.0/1830.188.128.1 to 30.188.191.25430.188.191.25516,382
24430.188.192.0/1830.188.192.1 to 30.188.255.25430.188.255.25516,382
24530.189.0.0/1830.189.0.1 to 30.189.63.25430.189.63.25516,382
24630.189.64.0/1830.189.64.1 to 30.189.127.25430.189.127.25516,382
24730.189.128.0/1830.189.128.1 to 30.189.191.25430.189.191.25516,382
24830.189.192.0/1830.189.192.1 to 30.189.255.25430.189.255.25516,382
24930.190.0.0/1830.190.0.1 to 30.190.63.25430.190.63.25516,382
25030.190.64.0/1830.190.64.1 to 30.190.127.25430.190.127.25516,382
25130.190.128.0/1830.190.128.1 to 30.190.191.25430.190.191.25516,382
25230.190.192.0/1830.190.192.1 to 30.190.255.25430.190.255.25516,382
25330.191.0.0/1830.191.0.1 to 30.191.63.25430.191.63.25516,382
25430.191.64.0/1830.191.64.1 to 30.191.127.25430.191.127.25516,382
25530.191.128.0/1830.191.128.1 to 30.191.191.25430.191.191.25516,382
25630.191.192.0/1830.191.192.1 to 30.191.255.25430.191.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses